Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1717)
@@ -455,158 +371,144 @@
       <styles xmi:type="notation:FontStyle" xmi:id="_wmQrkXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
       <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_V2T5kGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wmQrknfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFgHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wmQrknfcEeC8VcOgJ0vxlw" points="[0, 0, 105, 158]$[-105, -158, 0, 0]"/>
+      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFgHfcEeC8VcOgJ0vxlw" id="(0.33,0.0)"/>
       <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFgXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wnAScHfcEeC8VcOgJ0vxlw" type="1013" source="_wmjmgHfcEeC8VcOgJ0vxlw" target="_wmtXgHfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wnAScXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_WiaxoGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wnAScnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFlHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFlXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wnc-YHfcEeC8VcOgJ0vxlw" type="1013" source="_wnASc3fcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wnc-YXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_XPbBkGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wnc-YnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFiHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFiXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
     </edges>
     <edges xmi:type="notation:Connector" xmi:id="_woC0QHfcEeC8VcOgJ0vxlw" type="1013" source="_wnmIUHfcEeC8VcOgJ0vxlw" target="_wnv5UHfcEeC8VcOgJ0vxlw" lineColor="0">
       <styles xmi:type="notation:FontStyle" xmi:id="_woC0QXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
       <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_jpD-AKj-Ed60qsdSliih9w"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_woC0QnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFhnfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_woC0QnfcEeC8VcOgJ0vxlw" points="[0, 0, 105, 158]$[-105, -158, 0, 0]"/>
+      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFhnfcEeC8VcOgJ0vxlw" id="(0.33,0.0)"/>
       <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFh3fcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wofgMHfcEeC8VcOgJ0vxlw" type="1013" source="_woC0Q3fcEeC8VcOgJ0vxlw" target="_woVvMHfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wofgMXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_mGGikMbWEd6JBtxNmDMs3Q"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wofgMnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFknfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFk3fcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wpF9IHfcEeC8VcOgJ0vxlw" type="1013" source="_wopRMHfcEeC8VcOgJ0vxlw" target="_wo8MIHfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wpF9IXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_tVFRwMbWEd6JBtxNmDMs3Q"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wpF9InfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFjHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFjXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wprzAHfcEeC8VcOgJ0vxlw" type="1013" source="_wpPHEHfcEeC8VcOgJ0vxlw" target="_wpY4EHfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wprzAXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_uSeHEMbWEd6JBtxNmDMs3Q"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wprzAnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFjnfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFj3fcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
     </edges>
     <edges xmi:type="notation:Connector" xmi:id="_wqIe8HfcEeC8VcOgJ0vxlw" type="1013" source="_wprzA3fcEeC8VcOgJ0vxlw" target="_wp-t8HfcEeC8VcOgJ0vxlw" lineColor="0">
       <styles xmi:type="notation:FontStyle" xmi:id="_wqIe8XfcEeC8VcOgJ0vxlw" fontHeight="8"/>
       <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_XHwDAMk-Ed6HZ8zVAPACUg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wqIe8nfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFinfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wqIe8nfcEeC8VcOgJ0vxlw" points="[0, 0, -99, 158]$[99, -158, 0, 0]"/>
+      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFinfcEeC8VcOgJ0vxlw" id="(0.7450980392156863,0.0)"/>
       <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFi3fcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
     </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wquU0HfcEeC8VcOgJ0vxlw" type="1013" source="_wqSP8HfcEeC8VcOgJ0vxlw" target="_wqlK4HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wquU0XfcEeC8VcOgJ0vxlw" fontHeight="8"/>
+    <edges xmi:type="notation:Connector" xmi:id="__zxkQLP6EeKMMvKD8rDWHw" type="1013" source="_wmjmgHfcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__zxkQbP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_WiaxoGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__zxkQrP6EeKMMvKD8rDWHw" points="[25, 38, -95, -142]$[107, 161, -13, -19]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="__0CqALP6EeKMMvKD8rDWHw" type="1013" source="_wnASc3fcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__0CqAbP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_XPbBkGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__0CqArP6EeKMMvKD8rDWHw" points="[37, 14, -443, -166]$[442, 166, -38, -14]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="__0jnYLP6EeKMMvKD8rDWHw" type="1013" source="_woC0Q3fcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__0jnYbP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_mGGikMbWEd6JBtxNmDMs3Q"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__0jnYrP6EeKMMvKD8rDWHw" points="[37, 28, -203, -152]$[215, 161, -25, -19]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="__0_FMLP6EeKMMvKD8rDWHw" type="1013" source="_wopRMHfcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__0_FMbP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_tVFRwMbWEd6JBtxNmDMs3Q"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__0_FMrP6EeKMMvKD8rDWHw" points="[-37, 28, 206, -152]$[-218, 161, 25, -19]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="__1QyALP6EeKMMvKD8rDWHw" type="1013" source="_wpPHEHfcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__1QyAbP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_uSeHEMbWEd6JBtxNmDMs3Q"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__1QyArP6EeKMMvKD8rDWHw" points="[-37, 14, 446, -166]$[-446, 166, 37, -14]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="__165ULP6EeKMMvKD8rDWHw" type="1013" source="_wqSP8HfcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="__17gYLP6EeKMMvKD8rDWHw" fontName="Segoe UI"/>
       <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_U3HukAUSEd-XJpWQfXQU0A"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wquU0nfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFhHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFhXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_wrUxwHfcEeC8VcOgJ0vxlw" type="1013" source="_wq4F0HfcEeC8VcOgJ0vxlw" target="_wrB20HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_wrUxwXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="__17gYbP6EeKMMvKD8rDWHw" points="[-26, 38, 97, -142]$[-111, 161, 12, -19]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_WBppwLP9EeKMMvKD8rDWHw" type="1013" source="_wq4F0HfcEeC8VcOgJ0vxlw" target="_wnTNYHfcEeC8VcOgJ0vxlw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="_WBppwbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
       <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_jG5foAUVEd-XJpWQfXQU0A"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_wrUxwnfcEeC8VcOgJ0vxlw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFkHfcEeC8VcOgJ0vxlw" id="(0.5,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_xGJFkXfcEeC8VcOgJ0vxlw" id="(0.5,1.0)"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_0MoVUHfcEeC8VcOgJ0vxlw" type="4002" source="_wlEYwHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_0MoVU3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_0MoVVHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_0MoVUXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_WBppwrP9EeKMMvKD8rDWHw" points="[12, -13, -79, 79]$[78, -80, -13, 12]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_ojnJELP9EeKMMvKD8rDWHw" type="4002" source="_wqSP8HfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_ojnwILP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_ojnwIbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_ojnJEbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_U8G5EAUOEd-XJpWQfXQU0A"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_ojnJErP9EeKMMvKD8rDWHw" points="[-62, 29, 202, -94]$[-147, 68, 117, -55]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_o62kYLP9EeKMMvKD8rDWHw" type="4002" source="_woC0Q3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_o63LcLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_o63LcbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_o62kYbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_gHU2YGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_o62kYrP9EeKMMvKD8rDWHw" points="[-62, 11, 202, -37]$[-147, 27, 117, -21]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_pFHToLP9EeKMMvKD8rDWHw" type="4002" source="_wnASc3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_pFH6sLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_pFH6sbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_pFHTobP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_fHZqcGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_pFHTorP9EeKMMvKD8rDWHw" points="[-43, 31, 221, -161]$[-163, 119, 101, -73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_pPohkLP9EeKMMvKD8rDWHw" type="4002" source="_wmjmgHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_pPpvsLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_pPpvsbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_pPohkbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_ecLjMGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_pPohkrP9EeKMMvKD8rDWHw" points="[-62, -5, 202, 17]$[-147, -12, 117, 10]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_phVVkLP9EeKMMvKD8rDWHw" type="4002" source="_wopRMHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_phWjsLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_phWjsbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_phVVkbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_mLgmYGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_phVVkrP9EeKMMvKD8rDWHw" points="[-48, -31, 193, 127]$[-130, -85, 111, 73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_p9ma0LP9EeKMMvKD8rDWHw" type="4002" source="_wpPHEHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_p9no8LP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_p9no8bP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_p9ma0bP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_mZhNMGChEd6yLItwWIt9kg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_p9ma0rP9EeKMMvKD8rDWHw" points="[-62, -21, 202, 68]$[-147, -50, 117, 39]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_qRBGELP9EeKMMvKD8rDWHw" type="4002" source="_wq4F0HfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_qRCUMLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_qRCUMbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_qRBGEbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_ji4KYAWsEd-eTtxRNHCTLQ"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_qRBGErP9EeKMMvKD8rDWHw" points="[-36, -31, 228, 196]$[-179, -154, 85, 73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_qmnioLP9EeKMMvKD8rDWHw" type="4002" source="_wlEYwHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_qmoJsLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_qmowwLP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_qmniobP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
       <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_eJjiIGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_0MoVUnfcEeC8VcOgJ0vxlw" points="[-22, -50, 58, 140]$[-80, -190, 0, 0]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_0zqgIHfcEeC8VcOgJ0vxlw" type="4002" source="_wmjmgHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_0zqgI3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_0zqgJHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_0zqgIXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_ecLjMGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_0zqgInfcEeC8VcOgJ0vxlw" points="[6, 50, -11, -73]$[10, 73, -7, -50]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_1RK7gHfcEeC8VcOgJ0vxlw" type="4002" source="_wnASc3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_1RK7g3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_1RK7hHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_1RK7gXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_fHZqcGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_1RK7gnfcEeC8VcOgJ0vxlw" points="[-50, 43, 93, -80]$[-87, 74, 56, -49]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_2PT-wHfcEeC8VcOgJ0vxlw" type="4002" source="_woC0Q3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_2PT-w3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_2PT-xHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_2PT-wXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_gHU2YGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_2PT-wnfcEeC8VcOgJ0vxlw" points="[-50, 13, 413, -110]$[-407, 108, 56, -15]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_2PdIsHfcEeC8VcOgJ0vxlw" type="4002" source="_wopRMHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_2PdIs3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_2PdItHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_2PdIsXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_mLgmYGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_2PdIsnfcEeC8VcOgJ0vxlw" points="[-50, 9, 573, -114]$[-567, 111, 56, -12]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_2Pm5sHfcEeC8VcOgJ0vxlw" type="4002" source="_wpPHEHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_2Pm5s3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_2Pm5tHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_2Pm5sXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_mZhNMGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_2Pm5snfcEeC8VcOgJ0vxlw" points="[-50, 7, 733, -116]$[-727, 114, 56, -9]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_8f_5sHfcEeC8VcOgJ0vxlw" type="4002" source="_wnmIUHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_8f_5s3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_8f_5tHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_8f_5sXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_qmniorP9EeKMMvKD8rDWHw" points="[-26, -32, 238, 289]$[-204, -248, 60, 73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_q85UoLP9EeKMMvKD8rDWHw" type="4002" source="_wnmIUHfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_q857sLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_q86iwLP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_q85UobP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
       <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_nJWusGChEd6yLItwWIt9kg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_8f_5snfcEeC8VcOgJ0vxlw" points="[-24, 50, 98, -209]$[-87, 185, 35, -74]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_8gcloHfcEeC8VcOgJ0vxlw" type="4002" source="_8gJqsHfcEeC8VcOgJ0vxlw" target="_wnASc3fcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_8gclo3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_8gclpHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_8gcloXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_q85UorP9EeKMMvKD8rDWHw" points="[-20, -31, 244, 371]$[-216, -329, 48, 73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_rmu70LP9EeKMMvKD8rDWHw" type="4002" source="_wprzA3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_rmwJ8LP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_rmwJ8bP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_rmu70bP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_Ts-lQMk-Ed6HZ8zVAPACUg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_rmu70rP9EeKMMvKD8rDWHw" points="[-18, -31, 248, 446]$[-225, -404, 41, 73]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_r5SrcLP9EeKMMvKD8rDWHw" type="4002" source="_8gJqsHfcEeC8VcOgJ0vxlw" target="_wnASc3fcEeC8VcOgJ0vxlw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_r5TSgLP9EeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_r5TSgbP9EeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_r5SrcbP9EeKMMvKD8rDWHw" fontName="Segoe UI"/>
       <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#__jJtUGvUEd65MZ8o9QNr-w"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_8gclonfcEeC8VcOgJ0vxlw" points="[0, 0, -400, -190]$[350, 166, -50, -24]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_8gmWoHfcEeC8VcOgJ0vxlw" type="4002" source="_wprzA3fcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_8gmWo3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_8gmWpHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_8gmWoXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_Ts-lQMk-Ed6HZ8zVAPACUg"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_8gmWonfcEeC8VcOgJ0vxlw" points="[-51, 17, 712, -242]$[-669, 227, 94, -32]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_8gvgkHfcEeC8VcOgJ0vxlw" type="4002" source="_wqSP8HfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_8gvgk3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_8gvglHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_8gvgkXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_U8G5EAUOEd-XJpWQfXQU0A"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_8gvgknfcEeC8VcOgJ0vxlw" points="[-50, 14, 872, -245]$[-828, 232, 94, -27]"/>
-    </edges>
-    <edges xmi:type="notation:Connector" xmi:id="_8g5RkHfcEeC8VcOgJ0vxlw" type="4002" source="_wq4F0HfcEeC8VcOgJ0vxlw" target="_0Iwh8HfcEeC8VcOgJ0vxlw" lineColor="0">
-      <children xmi:type="notation:DecorationNode" xmi:id="_8g5Rk3fcEeC8VcOgJ0vxlw" type="6007">
-        <layoutConstraint xmi:type="notation:Location" xmi:id="_8g5RlHfcEeC8VcOgJ0vxlw" y="60"/>
-      </children>
-      <styles xmi:type="notation:FontStyle" xmi:id="_8g5RkXfcEeC8VcOgJ0vxlw" fontHeight="8"/>
-      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_ji4KYAWsEd-eTtxRNHCTLQ"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_8g5RknfcEeC8VcOgJ0vxlw" points="[-50, 11, 1032, -248]$[-988, 236, 94, -23]"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_r5SrcrP9EeKMMvKD8rDWHw" points="[-62, -6, 157, 0]$[-156, 0, 63, 6]"/>
     </edges>
   </notation:Diagram>
@@ -862,9 +764,9 @@
       </eAnnotations>
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WTMFKn-XEeC-I9oqZ53S4w" source="Stereotype_Annotation">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WTMFK3-XEeC-I9oqZ53S4w" key="StereotypeWithQualifiedNameList" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WTMFLH-XEeC-I9oqZ53S4w" key="StereotypeList" value="Standard::Metaclass"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WTMFLX-XEeC-I9oqZ53S4w" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WTMFLn-XEeC-I9oqZ53S4w" key="PropStereoDisplay" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WTMFL3-XEeC-I9oqZ53S4w" key="StereotypePropertyLocation" value="Compartment"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gK5sGYEEeKa6IhMvygGQA" key="StereotypeWithQualifiedNameList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gLgwGYEEeKa6IhMvygGQA" key="StereotypeList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gLgwWYEEeKa6IhMvygGQA" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gLgwmYEEeKa6IhMvygGQA" key="PropStereoDisplay" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gLgw2YEEeKa6IhMvygGQA" key="StereotypePropertyLocation" value="Compartment"/>
       </eAnnotations>
       <children xmi:type="notation:DecorationNode" xmi:id="_WTMFKH-XEeC-I9oqZ53S4w" type="1084"/>
@@ -883,9 +785,9 @@
       </eAnnotations>
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_6lB9EK0qEeCRXd3mzS9MqQ" source="Stereotype_Annotation">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_6lB9Ea0qEeCRXd3mzS9MqQ" key="StereotypeWithQualifiedNameList" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_6lB9Eq0qEeCRXd3mzS9MqQ" key="StereotypeList" value="Standard::Metaclass"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_6lB9E60qEeCRXd3mzS9MqQ" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_6lB9FK0qEeCRXd3mzS9MqQ" key="PropStereoDisplay" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_6lB9Fa0qEeCRXd3mzS9MqQ" key="StereotypePropertyLocation" value="Compartment"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gRnYGYEEeKa6IhMvygGQA" key="StereotypeWithQualifiedNameList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gRnYWYEEeKa6IhMvygGQA" key="StereotypeList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gRnYmYEEeKa6IhMvygGQA" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gRnY2YEEeKa6IhMvygGQA" key="PropStereoDisplay" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__gRnZGYEEeKa6IhMvygGQA" key="StereotypePropertyLocation" value="Compartment"/>
       </eAnnotations>
       <children xmi:type="notation:DecorationNode" xmi:id="_6jivVq0qEeCRXd3mzS9MqQ" type="1084"/>
